gtkmm 3.24.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value< Glib::RefPtr< Gtk::TargetList > > Class Template Reference

`#include <gtkmm/targetlist.h>`

Inheritance diagram for Glib::Value< Glib::RefPtr< Gtk::TargetList > >:
[legend]

## Public Types
typedef Glib::RefPtr< Gtk::TargetList > | CppType
typedef GtkTargetList* | CType

## Public Member Functions
void | set (const CppType& data)
CppType | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| ValueBase (const ValueBase &other)
ValueBase & | operator= (const ValueBase &other)
| ~ValueBase () noexcept
void | init (GType type)
void | init (const GValue *value)
void | reset ()
GValue * | gobj ()
const GValue * | gobj () const

## Static Public Member Functions
static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Boxed
static GType | value_type ()

## Additional Inherited Members
Protected Member Functions inherited from Glib::ValueBase_Boxed
void | set_boxed (const void *data)
void * | get_boxed () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

typedef Glib::RefPtr<Gtk::TargetList> Glib::Value< Glib::RefPtr< Gtk::TargetList > >::CppType

typedef GtkTargetList* Glib::Value< Glib::RefPtr< Gtk::TargetList > >::CType

## Member Function Documentation

CppType Glib::Value< Glib::RefPtr< Gtk::TargetList > >::get | ( |  | ) | const

void Glib::Value< Glib::RefPtr< Gtk::TargetList > >::set | ( | const CppType& | data | ) |

static GType Glib::Value< Glib::RefPtr< Gtk::TargetList > >::value_type | ( |  | ) |
| static